| 1 | #!/bin/sh |
| 2 | # some elements originated from qemu configure |
| 3 | set -e |
| 4 | |
| 5 | TMPC="/tmp/pcsx-conf-${RANDOM}-$$-${RANDOM}.c" |
| 6 | TMPO="/tmp/pcsx-conf-${RANDOM}-$$-${RANDOM}.o" |
| 7 | TMPB="/tmp/pcsx-conf-${RANDOM}-$$-${RANDOM}" |
| 8 | trap "rm -f $TMPC $TMPO $TMPB" EXIT INT QUIT TERM |
| 9 | rm -f config.log |
| 10 | |
| 11 | compile_object() |
| 12 | { |
| 13 | c="$CC $CFLAGS -c $TMPC -o $TMPO $@" |
| 14 | echo $c >> config.log |
| 15 | $c >> config.log 2>&1 |
| 16 | } |
| 17 | |
| 18 | compile_binary() |
| 19 | { |
| 20 | c="$CC $CFLAGS $TMPC -o $TMPB $LDFLAGS $MAIN_LDLIBS $@" |
| 21 | echo $c >> config.log |
| 22 | $c >> config.log 2>&1 |
| 23 | } |
| 24 | |
| 25 | check_define() |
| 26 | { |
| 27 | $CC -E -dD $CFLAGS include/arm_features.h | grep -q "$1" || return 1 |
| 28 | return 0 |
| 29 | } |
| 30 | |
| 31 | check_define_val() |
| 32 | { |
| 33 | $CC -E -dD $CFLAGS include/arm_features.h | grep "$1" | awk '{print $3}' |
| 34 | return 0 |
| 35 | } |
| 36 | |
| 37 | # setting options to "yes" or "no" will make that choice default, |
| 38 | # "" means "autodetect". |
| 39 | |
| 40 | platform_list="generic pandora maemo caanoo libretro" |
| 41 | platform="generic" |
| 42 | builtin_gpu_list="peops unai neon" |
| 43 | builtin_gpu="" |
| 44 | sound_driver_list="oss alsa pulseaudio sdl libretro" |
| 45 | sound_drivers="" |
| 46 | plugins="plugins/spunull/spunull.so \ |
| 47 | plugins/dfxvideo/gpu_peops.so plugins/gpu_unai/gpu_unai.so" |
| 48 | drc_cache_base="no" |
| 49 | have_armv5="" |
| 50 | have_armv6="" |
| 51 | have_armv7="" |
| 52 | have_arm_neon="" |
| 53 | have_tslib="" |
| 54 | have_gles="" |
| 55 | have_c64x_dsp="" |
| 56 | enable_dynarec="yes" |
| 57 | need_sdl="no" |
| 58 | need_xlib="no" |
| 59 | need_libpicofe="yes" |
| 60 | need_warm="no" |
| 61 | CFLAGS_GLES="" |
| 62 | LDLIBS_GLES="" |
| 63 | # these are for known platforms |
| 64 | optimize_cortexa8="no" |
| 65 | optimize_arm926ej="no" |
| 66 | |
| 67 | # hardcoded stuff |
| 68 | CC="${CC-${CROSS_COMPILE}gcc}" |
| 69 | CXX="${CXX-${CROSS_COMPILE}g++}" |
| 70 | AS="${AS-${CROSS_COMPILE}as}" |
| 71 | AR="${AS-${CROSS_COMPILE}ar}" |
| 72 | MAIN_LDLIBS="$LDLIBS -ldl -lm -lpthread" |
| 73 | config_mak="config.mak" |
| 74 | |
| 75 | fail() |
| 76 | { |
| 77 | echo "$@" |
| 78 | if test -n "$DUMP_CONFIG_LOG"; then cat config.log; fi |
| 79 | exit 1 |
| 80 | } |
| 81 | |
| 82 | # call during arg parsing, so that cmd line can override platform defaults |
| 83 | set_platform() |
| 84 | { |
| 85 | platform=$1 |
| 86 | case "$platform" in |
| 87 | generic) |
| 88 | ;; |
| 89 | pandora) |
| 90 | sound_drivers="oss alsa" |
| 91 | drc_cache_base="yes" |
| 92 | optimize_cortexa8="yes" |
| 93 | have_arm_neon="yes" |
| 94 | need_xlib="yes" |
| 95 | ;; |
| 96 | maemo) |
| 97 | drc_cache_base="yes" |
| 98 | optimize_cortexa8="yes" |
| 99 | have_arm_neon="yes" |
| 100 | ;; |
| 101 | caanoo) |
| 102 | sound_drivers="oss" |
| 103 | drc_cache_base="yes" |
| 104 | optimize_arm926ej="yes" |
| 105 | need_warm="yes" |
| 106 | ;; |
| 107 | libretro) |
| 108 | sound_drivers="libretro" |
| 109 | need_libpicofe="no" |
| 110 | ;; |
| 111 | *) |
| 112 | fail "unsupported platform: $platform" |
| 113 | ;; |
| 114 | esac |
| 115 | } |
| 116 | |
| 117 | for opt do |
| 118 | optarg=`expr "x$opt" : 'x[^=]*=\(.*\)'` || true |
| 119 | case "$opt" in |
| 120 | --help|-h) show_help="yes" |
| 121 | ;; |
| 122 | --platform=*) set_platform "$optarg" |
| 123 | ;; |
| 124 | --gpu=*) builtin_gpu="$optarg" |
| 125 | ;; |
| 126 | --sound-drivers=*) sound_drivers="$optarg" |
| 127 | ;; |
| 128 | --enable-neon) have_arm_neon="yes" |
| 129 | ;; |
| 130 | --disable-neon) have_arm_neon="no" |
| 131 | ;; |
| 132 | --disable-dynarec) enable_dynarec="no" |
| 133 | ;; |
| 134 | *) echo "ERROR: unknown option $opt"; show_help="yes" |
| 135 | ;; |
| 136 | esac |
| 137 | done |
| 138 | |
| 139 | if [ "$show_help" = "yes" ]; then |
| 140 | echo "options:" |
| 141 | echo " --help print this message" |
| 142 | echo " --platform=NAME target platform [$platform]" |
| 143 | echo " available: $platform_list" |
| 144 | echo " --gpu=NAME builtin gpu plugin [guessed]" |
| 145 | echo " available: $builtin_gpu_list" |
| 146 | echo " --sound-drivers=LIST sound output drivers [guessed]" |
| 147 | echo " available: $sound_driver_list" |
| 148 | echo " --enable-neon" |
| 149 | echo " --disable-neon enable/disable ARM NEON optimizations [guessed]" |
| 150 | echo " --disable-dynarec disable dynamic recompiler" |
| 151 | echo " (dynarec is only available and enabled on ARM)" |
| 152 | echo "influential environment variables:" |
| 153 | echo " CROSS_COMPILE CC CXX AS AR CFLAGS ASFLAGS LDFLAGS LDLIBS" |
| 154 | exit 1 |
| 155 | fi |
| 156 | |
| 157 | # validate selections |
| 158 | if [ "x$builtin_gpu" != "x" ]; then |
| 159 | if ! echo $builtin_gpu_list | grep -q "\<$builtin_gpu\>"; then |
| 160 | fail "unsupported builtin gpu plugin: $builtin_gpu" |
| 161 | fi |
| 162 | fi |
| 163 | |
| 164 | if [ "x$sound_drivers" != "x" ]; then |
| 165 | for d in $sound_drivers; do |
| 166 | if ! echo $sound_driver_list | grep -q "\<$d\>"; then |
| 167 | fail "unsupported sound driver: $sound_driver" |
| 168 | fi |
| 169 | done |
| 170 | fi |
| 171 | |
| 172 | if [ "$need_libpicofe" = "yes" ]; then |
| 173 | if ! test -f "frontend/libpicofe/README"; then |
| 174 | fail "libpicofe is missing, please run 'git submodule init && git submodule update'" |
| 175 | fi |
| 176 | fi |
| 177 | |
| 178 | if [ "$need_warm" = "yes" ]; then |
| 179 | if ! test -f "frontend/warm/README"; then |
| 180 | fail "wARM is missing, please run 'git submodule init && git submodule update'" |
| 181 | fi |
| 182 | fi |
| 183 | |
| 184 | # basic compiler test |
| 185 | cat > $TMPC <<EOF |
| 186 | #include <zlib.h> |
| 187 | int main(void) { return 0; } |
| 188 | EOF |
| 189 | if ! compile_binary; then |
| 190 | fail "compiler test failed, please check config.log" |
| 191 | fi |
| 192 | |
| 193 | if [ -z "$ARCH" ]; then |
| 194 | ARCH=`$CC -dumpmachine | awk -F '-' '{print $1}'` |
| 195 | fi |
| 196 | |
| 197 | case "$ARCH" in |
| 198 | arm*) |
| 199 | # ARM stuff |
| 200 | ARCH="arm" |
| 201 | |
| 202 | if [ "$optimize_cortexa8" = "yes" ]; then |
| 203 | CFLAGS="$CFLAGS -mcpu=cortex-a8 -mtune=cortex-a8" |
| 204 | ASFLAGS="$ASFLAGS -mcpu=cortex-a8" |
| 205 | fi |
| 206 | if [ "$optimize_arm926ej" = "yes" ]; then |
| 207 | CFLAGS="$CFLAGS -mcpu=arm926ej-s -mtune=arm926ej-s" |
| 208 | ASFLAGS="$ASFLAGS -mcpu=arm926ej-s -mfloat-abi=softfp" |
| 209 | fi |
| 210 | |
| 211 | if [ "x$have_arm_neon" = "x" ]; then |
| 212 | # detect NEON from user-supplied cflags to enable asm code |
| 213 | have_arm_neon=`check_define __ARM_NEON__ && echo yes` || true |
| 214 | fi |
| 215 | if [ "x$have_armv7" = "x" ]; then |
| 216 | if check_define HAVE_ARMV7; then |
| 217 | have_armv7="yes" |
| 218 | have_armv6="yes" |
| 219 | have_armv5="yes" |
| 220 | fi |
| 221 | fi |
| 222 | if [ "x$have_armv6" = "x" ]; then |
| 223 | if check_define HAVE_ARMV6; then |
| 224 | have_armv6="yes" |
| 225 | have_armv5="yes" |
| 226 | fi |
| 227 | fi |
| 228 | if [ "x$have_armv5" = "x" ]; then |
| 229 | have_armv5=`check_define HAVE_ARMV5 && echo yes` || true |
| 230 | fi |
| 231 | |
| 232 | if [ "x$builtin_gpu" = "x" ]; then |
| 233 | if [ "$have_arm_neon" = "yes" ]; then |
| 234 | builtin_gpu="neon" |
| 235 | elif [ "$have_armv7" != "yes" ]; then |
| 236 | # pre-ARMv7 hardware is usually not fast enough for peops |
| 237 | builtin_gpu="unai" |
| 238 | else |
| 239 | builtin_gpu="peops" |
| 240 | fi |
| 241 | fi |
| 242 | |
| 243 | # automatically set mfpu and mfloat-abi if they are not set |
| 244 | if [ "$have_arm_neon" = "yes" ]; then |
| 245 | fpu="neon" |
| 246 | elif [ "$have_armv6" = "yes" ]; then |
| 247 | fpu="vfp" |
| 248 | fi |
| 249 | if [ "x$fpu" != "x" ]; then |
| 250 | echo "$CFLAGS" | grep -q -- '-mfpu=' || CFLAGS="$CFLAGS -mfpu=$fpu" |
| 251 | echo "$ASFLAGS" | grep -q -- '-mfpu=' || ASFLAGS="$ASFLAGS -mfpu=$fpu" |
| 252 | floatabi_set_by_gcc=`$CC -v 2>&1 | grep -q -- --with-float= && echo yes` || true |
| 253 | if [ "$floatabi_set_by_gcc" != "yes" ]; then |
| 254 | echo "$CFLAGS" | grep -q -- '-mfloat-abi=' || CFLAGS="$CFLAGS -mfloat-abi=softfp" |
| 255 | echo "$ASFLAGS" | grep -q -- '-mfloat-abi=' || ASFLAGS="$ASFLAGS -mfloat-abi=softfp" |
| 256 | fi |
| 257 | fi |
| 258 | |
| 259 | # must disable thumb as recompiler can't handle it |
| 260 | if check_define __thumb__; then |
| 261 | CFLAGS="$CFLAGS -marm" |
| 262 | fi |
| 263 | |
| 264 | # warn about common mistakes |
| 265 | if [ "$have_armv5" != "yes" ]; then |
| 266 | if ! echo "$CFLAGS" | grep -q -- '-mcpu=\|-march='; then |
| 267 | echo "Warning: compiling for ARMv4, is that really what you want?" |
| 268 | echo "You probably should specify -mcpu= or -march= like this:" |
| 269 | echo " CFLAGS=-march=armv6 ./configure ..." |
| 270 | fi |
| 271 | fi |
| 272 | if [ "$have_arm_neon" = "yes" -a "$have_armv7" != "yes" ]; then |
| 273 | echo "Warning: compiling for NEON, but not ARMv7?" |
| 274 | echo "You probably want to specify -mcpu= or -march= like this:" |
| 275 | echo " CFLAGS=-march=armv7-a ./configure ..." |
| 276 | fi |
| 277 | ;; |
| 278 | aarch64) |
| 279 | ;; |
| 280 | *) |
| 281 | # dynarec only available on ARM |
| 282 | enable_dynarec="no" |
| 283 | ;; |
| 284 | esac |
| 285 | |
| 286 | if [ "x$builtin_gpu" = "x" ]; then |
| 287 | builtin_gpu="peops" |
| 288 | fi |
| 289 | |
| 290 | # supposedly we can avoid -fPIC on armv5 for slightly better performace? |
| 291 | if [ "$ARCH" != "arm" -o "$have_armv6" = "yes" ]; then |
| 292 | PLUGIN_CFLAGS="$PLUGIN_CFLAGS -fPIC" |
| 293 | fi |
| 294 | |
| 295 | case "$platform" in |
| 296 | generic) |
| 297 | need_sdl="yes" |
| 298 | ;; |
| 299 | maemo) |
| 300 | CFLAGS="$CFLAGS -DMAEMO -DMAEMO_CHANGES" |
| 301 | ;; |
| 302 | libretro) |
| 303 | CFLAGS="$CFLAGS -fPIC" |
| 304 | MAIN_LDFLAGS="$MAIN_LDFLAGS -shared -Wl,--no-undefined" |
| 305 | ;; |
| 306 | esac |
| 307 | |
| 308 | # header/library presence tests |
| 309 | check_zlib() |
| 310 | { |
| 311 | cat > $TMPC <<EOF |
| 312 | #include <zlib.h> |
| 313 | int main(void) { uncompress(0, 0, 0, 0); } |
| 314 | EOF |
| 315 | compile_binary |
| 316 | } |
| 317 | |
| 318 | check_libpng() |
| 319 | { |
| 320 | cat > $TMPC <<EOF |
| 321 | #include <png.h> |
| 322 | void main() { png_init_io(0, 0); } |
| 323 | EOF |
| 324 | compile_binary |
| 325 | } |
| 326 | |
| 327 | check_oss() |
| 328 | { |
| 329 | cat > $TMPC <<EOF |
| 330 | #include <sys/soundcard.h> |
| 331 | #include <sys/ioctl.h> |
| 332 | void main() { int a=0; ioctl(0, SNDCTL_DSP_SETFMT, &a); } |
| 333 | EOF |
| 334 | compile_binary |
| 335 | } |
| 336 | |
| 337 | check_alsa() |
| 338 | { |
| 339 | cat > $TMPC <<EOF |
| 340 | #include <alsa/asoundlib.h> |
| 341 | void main() { snd_pcm_open(0, 0, 0, 0); } |
| 342 | EOF |
| 343 | compile_binary "$@" |
| 344 | } |
| 345 | |
| 346 | check_pulseaudio() |
| 347 | { |
| 348 | cat > $TMPC <<EOF |
| 349 | #include <pulse/pulseaudio.h> |
| 350 | void main() { pa_threaded_mainloop_new(); } |
| 351 | EOF |
| 352 | compile_binary "$@" |
| 353 | } |
| 354 | |
| 355 | check_sdl() |
| 356 | { |
| 357 | cat > $TMPC <<EOF |
| 358 | #include <SDL.h> |
| 359 | void main() { SDL_OpenAudio(0, 0); } |
| 360 | EOF |
| 361 | compile_binary "$@" |
| 362 | } |
| 363 | |
| 364 | check_xlib_headers() |
| 365 | { |
| 366 | cat > $TMPC <<EOF |
| 367 | #include <X11/Xlib.h> |
| 368 | void *f() { return XOpenDisplay(0); } |
| 369 | EOF |
| 370 | compile_object "$@" |
| 371 | } |
| 372 | |
| 373 | # see if we have c64_tools for TI C64x DSP |
| 374 | check_c64_tools() |
| 375 | { |
| 376 | cat > $TMPC <<EOF |
| 377 | #include <inc_libc64_mini.h> |
| 378 | int f() { return dsp_open(); } |
| 379 | EOF |
| 380 | compile_object "$@" |
| 381 | } |
| 382 | |
| 383 | MAIN_LDLIBS="$MAIN_LDLIBS -lz" |
| 384 | check_zlib || fail "please install zlib (libz-dev)" |
| 385 | |
| 386 | MAIN_LDLIBS="-lpng $MAIN_LDLIBS" |
| 387 | check_libpng || fail "please install libpng (libpng-dev)" |
| 388 | |
| 389 | # find what audio support we can compile |
| 390 | if [ "x$sound_drivers" = "x" ]; then |
| 391 | if check_oss; then sound_drivers="$sound_drivers oss"; fi |
| 392 | if check_alsa -lasound; then |
| 393 | sound_drivers="$sound_drivers alsa" |
| 394 | MAIN_LDLIBS="-lasound $MAIN_LDLIBS" |
| 395 | fi |
| 396 | if check_pulseaudio -lpulse; then |
| 397 | sound_drivers="$sound_drivers pulseaudio" |
| 398 | MAIN_LDLIBS="-lpulse $MAIN_LDLIBS" |
| 399 | fi |
| 400 | if [ "$need_sdl" = "yes" ] || check_sdl `sdl-config --cflags --libs`; then |
| 401 | sound_drivers="$sound_drivers sdl" |
| 402 | need_sdl="yes" |
| 403 | fi |
| 404 | else |
| 405 | if echo $sound_drivers | grep -q "\<oss\>"; then |
| 406 | check_oss || fail "oss support is missing" |
| 407 | fi |
| 408 | if echo $sound_drivers | grep -q "\<alsa\>"; then |
| 409 | MAIN_LDLIBS="-lasound $MAIN_LDLIBS" |
| 410 | check_alsa || fail "please install libasound2-dev" |
| 411 | fi |
| 412 | if echo $sound_drivers | grep -q "\<pulseaudio\>"; then |
| 413 | MAIN_LDLIBS="-lpulse $MAIN_LDLIBS" |
| 414 | check_pulseaudio || fail "pulseaudio support is missing" |
| 415 | fi |
| 416 | fi |
| 417 | |
| 418 | if [ "$need_sdl" = "yes" ]; then |
| 419 | which sdl-config > /dev/null || \ |
| 420 | fail "sdl-config is missing; please install libsdl (libsdl1.2-dev)" |
| 421 | CFLAGS="$CFLAGS `sdl-config --cflags`" |
| 422 | MAIN_LDLIBS="`sdl-config --libs` $MAIN_LDLIBS" |
| 423 | check_sdl || fail "please install libsdl (libsdl1.2-dev)" |
| 424 | fi |
| 425 | |
| 426 | # check for tslib (only headers needed) |
| 427 | if [ "x$have_tslib" = "x" ]; then |
| 428 | cat > $TMPC <<EOF |
| 429 | #include <tslib.h> |
| 430 | void test(struct ts_sample sample) {} |
| 431 | EOF |
| 432 | if compile_object; then |
| 433 | have_tslib="yes" |
| 434 | else |
| 435 | have_tslib="no" |
| 436 | fi |
| 437 | fi |
| 438 | |
| 439 | # check for VideoCore stuff for Raspberry Pi |
| 440 | if [ -d /opt/vc/include -a -d /opt/vc/lib -a "$VIDEOCORE" != "no" ]; then |
| 441 | CFLAGS_GLES="$CFLAGS_GLES -I/opt/vc/include -I/opt/vc/include/interface/vcos/pthreads -I/opt/vc/include/interface/vmcs_host/linux" |
| 442 | LDLIBS_GLES="$LDLIBS_GLES -L/opt/vc/lib" |
| 443 | if [ -f /opt/vc/lib/libbcm_host.so ]; then |
| 444 | LDLIBS_GLES="$LDLIBS_GLES -lbcm_host" |
| 445 | fi |
| 446 | need_xlib="yes" |
| 447 | VIDEOCORE="yes" |
| 448 | fi |
| 449 | |
| 450 | # check for GLES headers |
| 451 | cat > $TMPC <<EOF |
| 452 | #include <GLES/gl.h> |
| 453 | #include <EGL/egl.h> |
| 454 | int main(void) { |
| 455 | return (int)eglGetDisplay( (EGLNativeDisplayType)0 ); |
| 456 | } |
| 457 | EOF |
| 458 | if [ "$VIDEOCORE" = "yes" ] && compile_binary $CFLAGS_GLES -lbrcmEGL -lbrcmGLESv2 $LDLIBS_GLES; then |
| 459 | have_gles="yes" |
| 460 | LDLIBS_GLES="-lbrcmEGL -lbrcmGLESv2 $LDLIBS_GLES" |
| 461 | elif compile_binary $CFLAGS_GLES -lEGL -lGLES_CM $LDLIBS_GLES; then |
| 462 | have_gles="yes" |
| 463 | LDLIBS_GLES="-lEGL -lGLES_CM $LDLIBS_GLES" |
| 464 | elif compile_binary $CFLAGS_GLES -lEGL -lGLESv1_CM $LDLIBS_GLES; then |
| 465 | have_gles="yes" |
| 466 | LDLIBS_GLES="-lEGL -lGLESv1_CM $LDLIBS_GLES" |
| 467 | fi |
| 468 | |
| 469 | if check_c64_tools; then |
| 470 | have_c64x_dsp="yes" |
| 471 | fi |
| 472 | |
| 473 | if [ "$have_gles" = "yes" ]; then |
| 474 | plugins="$plugins plugins/gpu-gles/gpu_gles.so" |
| 475 | fi |
| 476 | if [ "$have_arm_neon" = "yes" -a "$builtin_gpu" != "neon" ]; then |
| 477 | plugins="$plugins plugins/gpu_neon/gpu_neon.so" |
| 478 | fi |
| 479 | |
| 480 | # check for xlib (only headers needed) |
| 481 | if [ "x$need_xlib" = "xyes" ]; then |
| 482 | check_xlib_headers || fail "please install libx11-dev" |
| 483 | fi |
| 484 | |
| 485 | sizeof_long=`check_define_val __SIZEOF_LONG__` |
| 486 | if [ "x$sizeof_long" = "x4" ]; then |
| 487 | CFLAGS="$CFLAGS -D_FILE_OFFSET_BITS=64" |
| 488 | fi |
| 489 | |
| 490 | cat > $TMPC <<EOF |
| 491 | void test(void *f, void *d) { fread(d, 1, 1, f); } |
| 492 | EOF |
| 493 | if compile_object -Wno-unused-result; then |
| 494 | CFLAGS="$CFLAGS -Wno-unused-result" |
| 495 | fi |
| 496 | |
| 497 | # short plugin list for display |
| 498 | for p in $plugins; do |
| 499 | p1=`basename $p` |
| 500 | plugins_short="$p1 $plugins_short" |
| 501 | done |
| 502 | |
| 503 | # set things that failed to autodetect to "no" |
| 504 | test "x$have_armv6" != "x" || have_armv6="no" |
| 505 | test "x$have_armv7" != "x" || have_armv7="no" |
| 506 | test "x$have_arm_neon" != "x" || have_arm_neon="no" |
| 507 | test "x$have_gles" != "x" || have_gles="no" |
| 508 | test "x$have_c64x_dsp" != "x" || have_c64x_dsp="no" |
| 509 | |
| 510 | echo "architecture $ARCH" |
| 511 | echo "platform $platform" |
| 512 | echo "built-in GPU $builtin_gpu" |
| 513 | echo "sound drivers $sound_drivers" |
| 514 | echo "plugins $plugins_short" |
| 515 | echo "C compiler $CC" |
| 516 | echo "C compiler flags $CFLAGS" |
| 517 | echo "libraries $MAIN_LDLIBS" |
| 518 | echo "linker flags $LDFLAGS$MAIN_LDFLAGS" |
| 519 | echo "enable dynarec $enable_dynarec" |
| 520 | if [ "$ARCH" = "arm" ]; then |
| 521 | echo "ARMv7 optimizations $have_armv7" |
| 522 | echo "enable ARM NEON $have_arm_neon" |
| 523 | echo "TI C64x DSP support $have_c64x_dsp" |
| 524 | fi |
| 525 | echo "tslib support $have_tslib" |
| 526 | if [ "$platform" = "generic" ]; then |
| 527 | echo "OpenGL ES output $have_gles" |
| 528 | fi |
| 529 | |
| 530 | echo "# Automatically generated by configure" > $config_mak |
| 531 | printf "# Configured with:" >> $config_mak |
| 532 | printf " '%s'" "$0" "$@" >> $config_mak |
| 533 | echo >> $config_mak |
| 534 | |
| 535 | echo "CC = $CC" >> $config_mak |
| 536 | echo "CXX = $CXX" >> $config_mak |
| 537 | echo "AS = $AS" >> $config_mak |
| 538 | echo "CFLAGS += $CFLAGS" >> $config_mak |
| 539 | echo "ASFLAGS += $ASFLAGS" >> $config_mak |
| 540 | echo "LDFLAGS += $LDFLAGS" >> $config_mak |
| 541 | echo "MAIN_LDFLAGS += $MAIN_LDFLAGS" >> $config_mak |
| 542 | echo "MAIN_LDLIBS += $MAIN_LDLIBS" >> $config_mak |
| 543 | echo "PLUGIN_CFLAGS += $PLUGIN_CFLAGS" >> $config_mak |
| 544 | echo >> $config_mak |
| 545 | |
| 546 | if [ "$platform" = "libretro" ]; then |
| 547 | echo "TARGET = libretro.so" >> $config_mak |
| 548 | fi |
| 549 | echo "ARCH = $ARCH" >> $config_mak |
| 550 | echo "PLATFORM = $platform" >> $config_mak |
| 551 | echo "BUILTIN_GPU = $builtin_gpu" >> $config_mak |
| 552 | echo "SOUND_DRIVERS = $sound_drivers" >> $config_mak |
| 553 | echo "PLUGINS = $plugins" >> $config_mak |
| 554 | if [ "$have_arm_neon" = "yes" ]; then |
| 555 | echo "HAVE_NEON = 1" >> $config_mak |
| 556 | fi |
| 557 | if [ "$have_tslib" = "yes" ]; then |
| 558 | echo "HAVE_TSLIB = 1" >> $config_mak |
| 559 | fi |
| 560 | if [ "$have_gles" = "yes" ]; then |
| 561 | echo "HAVE_GLES = 1" >> $config_mak |
| 562 | echo "CFLAGS_GLES = $CFLAGS_GLES" >> $config_mak |
| 563 | echo "LDLIBS_GLES = $LDLIBS_GLES" >> $config_mak |
| 564 | fi |
| 565 | if [ "$enable_dynarec" = "yes" ]; then |
| 566 | echo "DYNAREC = ari64" >> $config_mak |
| 567 | fi |
| 568 | if [ "$drc_cache_base" = "yes" ]; then |
| 569 | echo "BASE_ADDR_DYNAMIC = 1" >> $config_mak |
| 570 | fi |
| 571 | if [ "$have_c64x_dsp" = "yes" ]; then |
| 572 | echo "HAVE_C64_TOOLS = 1" >> $config_mak |
| 573 | fi |
| 574 | |
| 575 | # use pandora's skin (for now) |
| 576 | test -e skin || ln -s frontend/pandora/skin skin |
| 577 | |
| 578 | # vim:shiftwidth=2:expandtab |